Package dev.tachyonmcp.core.protocol
Class RequestMappingException
java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
dev.tachyonmcp.core.protocol.RequestMappingException
- All Implemented Interfaces:
Serializable
Signals that protocol request parameters could not be mapped to a domain request.
- See Also:
-
Constructor Summary
Constructors -
Method Summary
Methods inherited from class java.lang.Throwable
addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
-
Constructor Details
-
RequestMappingException
- Parameters:
error- the mapping failure to surface as a protocol-level error response
-
-
Method Details
-
error
- Returns:
- the
ServerErrorto return to the client
-